## About py-modular        

py-modular is a small, experimental audio programming environment for python.
It is intended to be a base for exploration of new audio technologies and workflows.
Most everything in py-modular is built around a node-based workflow, meaning small classes do small tasks and can be patched together to create full synthesizers or larger ideas.

## Installation

Running `pip install py-modular` should work. As the project is still in it's early stages, if there are any issues with the pip install, you can always clone this repository and use `pip install -r py_modular/requirements.txt` and use the module locally. 

## Setup      

If you want to use the parts of the project that depend on [Magenta](https://magenta.tensorflow.org/), we recommend that you follow their insturctions for creating a virtual environment, then install `requirements.txt` as py-modular does not include [Magenta](https://magenta.tensorflow.org/) as a dependency until the integration becomes more stable.

## Where to start      

Head over to py-modular's [documentation page](http://py-modular.readthedocs.io/) and read some of the [examples](https://py-modular.readthedocs.io/en/latest/examples/index.html) to get a quick idea of what py-modular is capable of.
